# ai_company.cpp File Reference

Implementation of AICompany. More...

`#include "ai_company.hpp"`
`#include "ai_error.hpp"`
`#include "../../command_func.h"`
`#include "../../company_func.h"`
`#include "../../company_base.h"`
`#include "../../company_manager_face.h"`
`#include "../../economy_func.h"`
`#include "../../strings_func.h"`
`#include "../../tile_map.h"`
`#include "../../string_func.h"`
`#include "../../settings_func.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Detailed Description

Implementation of AICompany.

Definition in file ai_company.cpp.